Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network8.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
8.0.0.0
Broadcast address
8.127.255.255
First usable
8.0.0.1
Last usable
8.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 08000000 · Integer 134217728 to 142606335
Reverse DNS zones
0.8.in-addr.arpa
1.8.in-addr.arpa
2.8.in-addr.arpa
3.8.in-addr.arpa
4.8.in-addr.arpa
5.8.in-addr.arpa
6.8.in-addr.arpa
7.8.in-addr.arpa
8.8.in-addr.arpa
9.8.in-addr.arpa
10.8.in-addr.arpa
11.8.in-addr.arpa
12.8.in-addr.arpa
13.8.in-addr.arpa
14.8.in-addr.arpa
15.8.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001000.00000000.00000000.000000008.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network00001000.00000000.00000000.000000008.0.0.0
Broadcast00001000.01111111.11111111.111111118.127.255.255
Split into smaller subnets/19

8.0.0.0/9 makes 1,024 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
18.0.0.0/198.0.0.1 to 8.0.31.2548.0.31.2558,190
28.0.32.0/198.0.32.1 to 8.0.63.2548.0.63.2558,190
38.0.64.0/198.0.64.1 to 8.0.95.2548.0.95.2558,190
48.0.96.0/198.0.96.1 to 8.0.127.2548.0.127.2558,190
58.0.128.0/198.0.128.1 to 8.0.159.2548.0.159.2558,190
68.0.160.0/198.0.160.1 to 8.0.191.2548.0.191.2558,190
78.0.192.0/198.0.192.1 to 8.0.223.2548.0.223.2558,190
88.0.224.0/198.0.224.1 to 8.0.255.2548.0.255.2558,190
98.1.0.0/198.1.0.1 to 8.1.31.2548.1.31.2558,190
108.1.32.0/198.1.32.1 to 8.1.63.2548.1.63.2558,190
118.1.64.0/198.1.64.1 to 8.1.95.2548.1.95.2558,190
128.1.96.0/198.1.96.1 to 8.1.127.2548.1.127.2558,190
138.1.128.0/198.1.128.1 to 8.1.159.2548.1.159.2558,190
148.1.160.0/198.1.160.1 to 8.1.191.2548.1.191.2558,190
158.1.192.0/198.1.192.1 to 8.1.223.2548.1.223.2558,190
168.1.224.0/198.1.224.1 to 8.1.255.2548.1.255.2558,190
178.2.0.0/198.2.0.1 to 8.2.31.2548.2.31.2558,190
188.2.32.0/198.2.32.1 to 8.2.63.2548.2.63.2558,190
198.2.64.0/198.2.64.1 to 8.2.95.2548.2.95.2558,190
208.2.96.0/198.2.96.1 to 8.2.127.2548.2.127.2558,190
218.2.128.0/198.2.128.1 to 8.2.159.2548.2.159.2558,190
228.2.160.0/198.2.160.1 to 8.2.191.2548.2.191.2558,190
238.2.192.0/198.2.192.1 to 8.2.223.2548.2.223.2558,190
248.2.224.0/198.2.224.1 to 8.2.255.2548.2.255.2558,190
258.3.0.0/198.3.0.1 to 8.3.31.2548.3.31.2558,190
268.3.32.0/198.3.32.1 to 8.3.63.2548.3.63.2558,190
278.3.64.0/198.3.64.1 to 8.3.95.2548.3.95.2558,190
288.3.96.0/198.3.96.1 to 8.3.127.2548.3.127.2558,190
298.3.128.0/198.3.128.1 to 8.3.159.2548.3.159.2558,190
308.3.160.0/198.3.160.1 to 8.3.191.2548.3.191.2558,190
318.3.192.0/198.3.192.1 to 8.3.223.2548.3.223.2558,190
328.3.224.0/198.3.224.1 to 8.3.255.2548.3.255.2558,190
338.4.0.0/198.4.0.1 to 8.4.31.2548.4.31.2558,190
348.4.32.0/198.4.32.1 to 8.4.63.2548.4.63.2558,190
358.4.64.0/198.4.64.1 to 8.4.95.2548.4.95.2558,190
368.4.96.0/198.4.96.1 to 8.4.127.2548.4.127.2558,190
378.4.128.0/198.4.128.1 to 8.4.159.2548.4.159.2558,190
388.4.160.0/198.4.160.1 to 8.4.191.2548.4.191.2558,190
398.4.192.0/198.4.192.1 to 8.4.223.2548.4.223.2558,190
408.4.224.0/198.4.224.1 to 8.4.255.2548.4.255.2558,190
418.5.0.0/198.5.0.1 to 8.5.31.2548.5.31.2558,190
428.5.32.0/198.5.32.1 to 8.5.63.2548.5.63.2558,190
438.5.64.0/198.5.64.1 to 8.5.95.2548.5.95.2558,190
448.5.96.0/198.5.96.1 to 8.5.127.2548.5.127.2558,190
458.5.128.0/198.5.128.1 to 8.5.159.2548.5.159.2558,190
468.5.160.0/198.5.160.1 to 8.5.191.2548.5.191.2558,190
478.5.192.0/198.5.192.1 to 8.5.223.2548.5.223.2558,190
488.5.224.0/198.5.224.1 to 8.5.255.2548.5.255.2558,190
498.6.0.0/198.6.0.1 to 8.6.31.2548.6.31.2558,190
508.6.32.0/198.6.32.1 to 8.6.63.2548.6.63.2558,190
518.6.64.0/198.6.64.1 to 8.6.95.2548.6.95.2558,190
528.6.96.0/198.6.96.1 to 8.6.127.2548.6.127.2558,190
538.6.128.0/198.6.128.1 to 8.6.159.2548.6.159.2558,190
548.6.160.0/198.6.160.1 to 8.6.191.2548.6.191.2558,190
558.6.192.0/198.6.192.1 to 8.6.223.2548.6.223.2558,190
568.6.224.0/198.6.224.1 to 8.6.255.2548.6.255.2558,190
578.7.0.0/198.7.0.1 to 8.7.31.2548.7.31.2558,190
588.7.32.0/198.7.32.1 to 8.7.63.2548.7.63.2558,190
598.7.64.0/198.7.64.1 to 8.7.95.2548.7.95.2558,190
608.7.96.0/198.7.96.1 to 8.7.127.2548.7.127.2558,190
618.7.128.0/198.7.128.1 to 8.7.159.2548.7.159.2558,190
628.7.160.0/198.7.160.1 to 8.7.191.2548.7.191.2558,190
638.7.192.0/198.7.192.1 to 8.7.223.2548.7.223.2558,190
648.7.224.0/198.7.224.1 to 8.7.255.2548.7.255.2558,190
658.8.0.0/198.8.0.1 to 8.8.31.2548.8.31.2558,190
668.8.32.0/198.8.32.1 to 8.8.63.2548.8.63.2558,190
678.8.64.0/198.8.64.1 to 8.8.95.2548.8.95.2558,190
688.8.96.0/198.8.96.1 to 8.8.127.2548.8.127.2558,190
698.8.128.0/198.8.128.1 to 8.8.159.2548.8.159.2558,190
708.8.160.0/198.8.160.1 to 8.8.191.2548.8.191.2558,190
718.8.192.0/198.8.192.1 to 8.8.223.2548.8.223.2558,190
728.8.224.0/198.8.224.1 to 8.8.255.2548.8.255.2558,190
738.9.0.0/198.9.0.1 to 8.9.31.2548.9.31.2558,190
748.9.32.0/198.9.32.1 to 8.9.63.2548.9.63.2558,190
758.9.64.0/198.9.64.1 to 8.9.95.2548.9.95.2558,190
768.9.96.0/198.9.96.1 to 8.9.127.2548.9.127.2558,190
778.9.128.0/198.9.128.1 to 8.9.159.2548.9.159.2558,190
788.9.160.0/198.9.160.1 to 8.9.191.2548.9.191.2558,190
798.9.192.0/198.9.192.1 to 8.9.223.2548.9.223.2558,190
808.9.224.0/198.9.224.1 to 8.9.255.2548.9.255.2558,190
818.10.0.0/198.10.0.1 to 8.10.31.2548.10.31.2558,190
828.10.32.0/198.10.32.1 to 8.10.63.2548.10.63.2558,190
838.10.64.0/198.10.64.1 to 8.10.95.2548.10.95.2558,190
848.10.96.0/198.10.96.1 to 8.10.127.2548.10.127.2558,190
858.10.128.0/198.10.128.1 to 8.10.159.2548.10.159.2558,190
868.10.160.0/198.10.160.1 to 8.10.191.2548.10.191.2558,190
878.10.192.0/198.10.192.1 to 8.10.223.2548.10.223.2558,190
888.10.224.0/198.10.224.1 to 8.10.255.2548.10.255.2558,190
898.11.0.0/198.11.0.1 to 8.11.31.2548.11.31.2558,190
908.11.32.0/198.11.32.1 to 8.11.63.2548.11.63.2558,190
918.11.64.0/198.11.64.1 to 8.11.95.2548.11.95.2558,190
928.11.96.0/198.11.96.1 to 8.11.127.2548.11.127.2558,190
938.11.128.0/198.11.128.1 to 8.11.159.2548.11.159.2558,190
948.11.160.0/198.11.160.1 to 8.11.191.2548.11.191.2558,190
958.11.192.0/198.11.192.1 to 8.11.223.2548.11.223.2558,190
968.11.224.0/198.11.224.1 to 8.11.255.2548.11.255.2558,190
978.12.0.0/198.12.0.1 to 8.12.31.2548.12.31.2558,190
988.12.32.0/198.12.32.1 to 8.12.63.2548.12.63.2558,190
998.12.64.0/198.12.64.1 to 8.12.95.2548.12.95.2558,190
1008.12.96.0/198.12.96.1 to 8.12.127.2548.12.127.2558,190
1018.12.128.0/198.12.128.1 to 8.12.159.2548.12.159.2558,190
1028.12.160.0/198.12.160.1 to 8.12.191.2548.12.191.2558,190
1038.12.192.0/198.12.192.1 to 8.12.223.2548.12.223.2558,190
1048.12.224.0/198.12.224.1 to 8.12.255.2548.12.255.2558,190
1058.13.0.0/198.13.0.1 to 8.13.31.2548.13.31.2558,190
1068.13.32.0/198.13.32.1 to 8.13.63.2548.13.63.2558,190
1078.13.64.0/198.13.64.1 to 8.13.95.2548.13.95.2558,190
1088.13.96.0/198.13.96.1 to 8.13.127.2548.13.127.2558,190
1098.13.128.0/198.13.128.1 to 8.13.159.2548.13.159.2558,190
1108.13.160.0/198.13.160.1 to 8.13.191.2548.13.191.2558,190
1118.13.192.0/198.13.192.1 to 8.13.223.2548.13.223.2558,190
1128.13.224.0/198.13.224.1 to 8.13.255.2548.13.255.2558,190
1138.14.0.0/198.14.0.1 to 8.14.31.2548.14.31.2558,190
1148.14.32.0/198.14.32.1 to 8.14.63.2548.14.63.2558,190
1158.14.64.0/198.14.64.1 to 8.14.95.2548.14.95.2558,190
1168.14.96.0/198.14.96.1 to 8.14.127.2548.14.127.2558,190
1178.14.128.0/198.14.128.1 to 8.14.159.2548.14.159.2558,190
1188.14.160.0/198.14.160.1 to 8.14.191.2548.14.191.2558,190
1198.14.192.0/198.14.192.1 to 8.14.223.2548.14.223.2558,190
1208.14.224.0/198.14.224.1 to 8.14.255.2548.14.255.2558,190
1218.15.0.0/198.15.0.1 to 8.15.31.2548.15.31.2558,190
1228.15.32.0/198.15.32.1 to 8.15.63.2548.15.63.2558,190
1238.15.64.0/198.15.64.1 to 8.15.95.2548.15.95.2558,190
1248.15.96.0/198.15.96.1 to 8.15.127.2548.15.127.2558,190
1258.15.128.0/198.15.128.1 to 8.15.159.2548.15.159.2558,190
1268.15.160.0/198.15.160.1 to 8.15.191.2548.15.191.2558,190
1278.15.192.0/198.15.192.1 to 8.15.223.2548.15.223.2558,190
1288.15.224.0/198.15.224.1 to 8.15.255.2548.15.255.2558,190
1298.16.0.0/198.16.0.1 to 8.16.31.2548.16.31.2558,190
1308.16.32.0/198.16.32.1 to 8.16.63.2548.16.63.2558,190
1318.16.64.0/198.16.64.1 to 8.16.95.2548.16.95.2558,190
1328.16.96.0/198.16.96.1 to 8.16.127.2548.16.127.2558,190
1338.16.128.0/198.16.128.1 to 8.16.159.2548.16.159.2558,190
1348.16.160.0/198.16.160.1 to 8.16.191.2548.16.191.2558,190
1358.16.192.0/198.16.192.1 to 8.16.223.2548.16.223.2558,190
1368.16.224.0/198.16.224.1 to 8.16.255.2548.16.255.2558,190
1378.17.0.0/198.17.0.1 to 8.17.31.2548.17.31.2558,190
1388.17.32.0/198.17.32.1 to 8.17.63.2548.17.63.2558,190
1398.17.64.0/198.17.64.1 to 8.17.95.2548.17.95.2558,190
1408.17.96.0/198.17.96.1 to 8.17.127.2548.17.127.2558,190
1418.17.128.0/198.17.128.1 to 8.17.159.2548.17.159.2558,190
1428.17.160.0/198.17.160.1 to 8.17.191.2548.17.191.2558,190
1438.17.192.0/198.17.192.1 to 8.17.223.2548.17.223.2558,190
1448.17.224.0/198.17.224.1 to 8.17.255.2548.17.255.2558,190
1458.18.0.0/198.18.0.1 to 8.18.31.2548.18.31.2558,190
1468.18.32.0/198.18.32.1 to 8.18.63.2548.18.63.2558,190
1478.18.64.0/198.18.64.1 to 8.18.95.2548.18.95.2558,190
1488.18.96.0/198.18.96.1 to 8.18.127.2548.18.127.2558,190
1498.18.128.0/198.18.128.1 to 8.18.159.2548.18.159.2558,190
1508.18.160.0/198.18.160.1 to 8.18.191.2548.18.191.2558,190
1518.18.192.0/198.18.192.1 to 8.18.223.2548.18.223.2558,190
1528.18.224.0/198.18.224.1 to 8.18.255.2548.18.255.2558,190
1538.19.0.0/198.19.0.1 to 8.19.31.2548.19.31.2558,190
1548.19.32.0/198.19.32.1 to 8.19.63.2548.19.63.2558,190
1558.19.64.0/198.19.64.1 to 8.19.95.2548.19.95.2558,190
1568.19.96.0/198.19.96.1 to 8.19.127.2548.19.127.2558,190
1578.19.128.0/198.19.128.1 to 8.19.159.2548.19.159.2558,190
1588.19.160.0/198.19.160.1 to 8.19.191.2548.19.191.2558,190
1598.19.192.0/198.19.192.1 to 8.19.223.2548.19.223.2558,190
1608.19.224.0/198.19.224.1 to 8.19.255.2548.19.255.2558,190
1618.20.0.0/198.20.0.1 to 8.20.31.2548.20.31.2558,190
1628.20.32.0/198.20.32.1 to 8.20.63.2548.20.63.2558,190
1638.20.64.0/198.20.64.1 to 8.20.95.2548.20.95.2558,190
1648.20.96.0/198.20.96.1 to 8.20.127.2548.20.127.2558,190
1658.20.128.0/198.20.128.1 to 8.20.159.2548.20.159.2558,190
1668.20.160.0/198.20.160.1 to 8.20.191.2548.20.191.2558,190
1678.20.192.0/198.20.192.1 to 8.20.223.2548.20.223.2558,190
1688.20.224.0/198.20.224.1 to 8.20.255.2548.20.255.2558,190
1698.21.0.0/198.21.0.1 to 8.21.31.2548.21.31.2558,190
1708.21.32.0/198.21.32.1 to 8.21.63.2548.21.63.2558,190
1718.21.64.0/198.21.64.1 to 8.21.95.2548.21.95.2558,190
1728.21.96.0/198.21.96.1 to 8.21.127.2548.21.127.2558,190
1738.21.128.0/198.21.128.1 to 8.21.159.2548.21.159.2558,190
1748.21.160.0/198.21.160.1 to 8.21.191.2548.21.191.2558,190
1758.21.192.0/198.21.192.1 to 8.21.223.2548.21.223.2558,190
1768.21.224.0/198.21.224.1 to 8.21.255.2548.21.255.2558,190
1778.22.0.0/198.22.0.1 to 8.22.31.2548.22.31.2558,190
1788.22.32.0/198.22.32.1 to 8.22.63.2548.22.63.2558,190
1798.22.64.0/198.22.64.1 to 8.22.95.2548.22.95.2558,190
1808.22.96.0/198.22.96.1 to 8.22.127.2548.22.127.2558,190
1818.22.128.0/198.22.128.1 to 8.22.159.2548.22.159.2558,190
1828.22.160.0/198.22.160.1 to 8.22.191.2548.22.191.2558,190
1838.22.192.0/198.22.192.1 to 8.22.223.2548.22.223.2558,190
1848.22.224.0/198.22.224.1 to 8.22.255.2548.22.255.2558,190
1858.23.0.0/198.23.0.1 to 8.23.31.2548.23.31.2558,190
1868.23.32.0/198.23.32.1 to 8.23.63.2548.23.63.2558,190
1878.23.64.0/198.23.64.1 to 8.23.95.2548.23.95.2558,190
1888.23.96.0/198.23.96.1 to 8.23.127.2548.23.127.2558,190
1898.23.128.0/198.23.128.1 to 8.23.159.2548.23.159.2558,190
1908.23.160.0/198.23.160.1 to 8.23.191.2548.23.191.2558,190
1918.23.192.0/198.23.192.1 to 8.23.223.2548.23.223.2558,190
1928.23.224.0/198.23.224.1 to 8.23.255.2548.23.255.2558,190
1938.24.0.0/198.24.0.1 to 8.24.31.2548.24.31.2558,190
1948.24.32.0/198.24.32.1 to 8.24.63.2548.24.63.2558,190
1958.24.64.0/198.24.64.1 to 8.24.95.2548.24.95.2558,190
1968.24.96.0/198.24.96.1 to 8.24.127.2548.24.127.2558,190
1978.24.128.0/198.24.128.1 to 8.24.159.2548.24.159.2558,190
1988.24.160.0/198.24.160.1 to 8.24.191.2548.24.191.2558,190
1998.24.192.0/198.24.192.1 to 8.24.223.2548.24.223.2558,190
2008.24.224.0/198.24.224.1 to 8.24.255.2548.24.255.2558,190
2018.25.0.0/198.25.0.1 to 8.25.31.2548.25.31.2558,190
2028.25.32.0/198.25.32.1 to 8.25.63.2548.25.63.2558,190
2038.25.64.0/198.25.64.1 to 8.25.95.2548.25.95.2558,190
2048.25.96.0/198.25.96.1 to 8.25.127.2548.25.127.2558,190
2058.25.128.0/198.25.128.1 to 8.25.159.2548.25.159.2558,190
2068.25.160.0/198.25.160.1 to 8.25.191.2548.25.191.2558,190
2078.25.192.0/198.25.192.1 to 8.25.223.2548.25.223.2558,190
2088.25.224.0/198.25.224.1 to 8.25.255.2548.25.255.2558,190
2098.26.0.0/198.26.0.1 to 8.26.31.2548.26.31.2558,190
2108.26.32.0/198.26.32.1 to 8.26.63.2548.26.63.2558,190
2118.26.64.0/198.26.64.1 to 8.26.95.2548.26.95.2558,190
2128.26.96.0/198.26.96.1 to 8.26.127.2548.26.127.2558,190
2138.26.128.0/198.26.128.1 to 8.26.159.2548.26.159.2558,190
2148.26.160.0/198.26.160.1 to 8.26.191.2548.26.191.2558,190
2158.26.192.0/198.26.192.1 to 8.26.223.2548.26.223.2558,190
2168.26.224.0/198.26.224.1 to 8.26.255.2548.26.255.2558,190
2178.27.0.0/198.27.0.1 to 8.27.31.2548.27.31.2558,190
2188.27.32.0/198.27.32.1 to 8.27.63.2548.27.63.2558,190
2198.27.64.0/198.27.64.1 to 8.27.95.2548.27.95.2558,190
2208.27.96.0/198.27.96.1 to 8.27.127.2548.27.127.2558,190
2218.27.128.0/198.27.128.1 to 8.27.159.2548.27.159.2558,190
2228.27.160.0/198.27.160.1 to 8.27.191.2548.27.191.2558,190
2238.27.192.0/198.27.192.1 to 8.27.223.2548.27.223.2558,190
2248.27.224.0/198.27.224.1 to 8.27.255.2548.27.255.2558,190
2258.28.0.0/198.28.0.1 to 8.28.31.2548.28.31.2558,190
2268.28.32.0/198.28.32.1 to 8.28.63.2548.28.63.2558,190
2278.28.64.0/198.28.64.1 to 8.28.95.2548.28.95.2558,190
2288.28.96.0/198.28.96.1 to 8.28.127.2548.28.127.2558,190
2298.28.128.0/198.28.128.1 to 8.28.159.2548.28.159.2558,190
2308.28.160.0/198.28.160.1 to 8.28.191.2548.28.191.2558,190
2318.28.192.0/198.28.192.1 to 8.28.223.2548.28.223.2558,190
2328.28.224.0/198.28.224.1 to 8.28.255.2548.28.255.2558,190
2338.29.0.0/198.29.0.1 to 8.29.31.2548.29.31.2558,190
2348.29.32.0/198.29.32.1 to 8.29.63.2548.29.63.2558,190
2358.29.64.0/198.29.64.1 to 8.29.95.2548.29.95.2558,190
2368.29.96.0/198.29.96.1 to 8.29.127.2548.29.127.2558,190
2378.29.128.0/198.29.128.1 to 8.29.159.2548.29.159.2558,190
2388.29.160.0/198.29.160.1 to 8.29.191.2548.29.191.2558,190
2398.29.192.0/198.29.192.1 to 8.29.223.2548.29.223.2558,190
2408.29.224.0/198.29.224.1 to 8.29.255.2548.29.255.2558,190
2418.30.0.0/198.30.0.1 to 8.30.31.2548.30.31.2558,190
2428.30.32.0/198.30.32.1 to 8.30.63.2548.30.63.2558,190
2438.30.64.0/198.30.64.1 to 8.30.95.2548.30.95.2558,190
2448.30.96.0/198.30.96.1 to 8.30.127.2548.30.127.2558,190
2458.30.128.0/198.30.128.1 to 8.30.159.2548.30.159.2558,190
2468.30.160.0/198.30.160.1 to 8.30.191.2548.30.191.2558,190
2478.30.192.0/198.30.192.1 to 8.30.223.2548.30.223.2558,190
2488.30.224.0/198.30.224.1 to 8.30.255.2548.30.255.2558,190
2498.31.0.0/198.31.0.1 to 8.31.31.2548.31.31.2558,190
2508.31.32.0/198.31.32.1 to 8.31.63.2548.31.63.2558,190
2518.31.64.0/198.31.64.1 to 8.31.95.2548.31.95.2558,190
2528.31.96.0/198.31.96.1 to 8.31.127.2548.31.127.2558,190
2538.31.128.0/198.31.128.1 to 8.31.159.2548.31.159.2558,190
2548.31.160.0/198.31.160.1 to 8.31.191.2548.31.191.2558,190
2558.31.192.0/198.31.192.1 to 8.31.223.2548.31.223.2558,190
2568.31.224.0/198.31.224.1 to 8.31.255.2548.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses